# Delete Pipeline Search History

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Delete Pipeline Search History"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/api/v2/workspaces/{workspace_id}/pipelines/{pipeline_id}/search_history"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Deletes search history for a specific pipeline.
Provide search_history_ids in the request body: \{"search_history_ids": ["uuid1", "uuid2", ...]\}
Maximum 100 IDs allowed. If no body is provided or search_history_ids is null,
deletes all search history for the pipeline.
Deletion is done in the background and may take a few seconds to take effect.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Unique identifier of a pipeline.","in":"path","name":"pipeline_id","required":true,"schema":{"description":"Unique identifier of a pipeline.","format":"uuid","title":"Pipeline Id","type":"string"}},{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"anyOf":[{"description":"Validation model for search history IDs.","properties":{"search_history_ids":{"description":"List of search history IDs to delete. If not provided, deletes all search history for the pipeline.","items":{"format":"uuid","type":"string"},"maxItems":100,"minItems":1,"title":"Search History Ids","type":"array"}},"required":["search_history_ids"],"title":"DeleteSearchHistoryIds","type":"object"},{"type":"null"}],"description":"List of search history IDs to delete. If not provided, deletes all search history for the pipeline.","title":"Search History Ids"}}}}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"204":{"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
